@online{PythonListImplementation,
  author = {Laurent Luce},
  title = {Python List Implentation},
  year = 2021,
  url = {https://www.laurentluce.com/posts/python-list-implementation/},
  urldate = {2021-09-16}
}

@book{NSITerm,
  author = {Filiatre},
  title = {NSI Terminale},
  editor = {},
  publisher = {},
  year = 2019
}

@online{WK_Melange,
  author = {Wikipedia},
  title = {},
  year = {2022},
  url = {https://fr.wikipedia.org/wiki/M%C3%A9lange_de_Fisher-Yates},
  urldate = {2022-09-25}
}

@online{WK_complexite,
author={Wikipedia},
title = {Théorie de la complexité (informatique théorique)},
year={2022},
url={https://fr.wikipedia.org/wiki/Th%C3%A9orie_de_la_complexit%C3%A9_(informatique_th%C3%A9orique)},
urldate = {2022-12-30}
}

@online{WK_shuffle,
  author = {Wikipedia},
  title = {},
  year = {2022},
  url = {https://en.wikipedia.org/wiki/Fisher%E2%80%93Yates_shuffle},
  urldate = {2022-09-25}
}

@online{shuffle_bias_testing,
  author = {Wikipedia},
  title = {},
  year = {2022},
  url = {https://www.ahtcloud.com/fisher-yates-shuffle-algorithm#testing-bias},
  urldate = {2022-09-25}
}
